Skip to main content
GET
/
api
/
v1
/
role-mining
/
custom-analysis
/
{id}
GetCustomAnalysisResult
package main

import(
	"context"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
	conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
	"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
	"log"
)

func main() {
    ctx := context.Background()

    s := conductoronesdkgo.New(
        conductoronesdkgo.WithSecurity(shared.Security{
            BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
            Oauth: "<YOUR_OAUTH_HERE>",
        }),
    )

    res, err := s.RoleMiningManagement.GetCustomAnalysisResult(ctx, operations.C1APIRoleMiningManagementV1RoleMiningManagementServiceGetCustomAnalysisResultRequest{
        ID: "<id>",
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.GetCustomAnalysisResultResponse != nil {
        // handle response
    }
}
{
  "appsAnalyzed": 123,
  "clusters": [
    {
      "avgCoverage": 123,
      "avgSimilarity": 123,
      "entitlements": [
        {
          "appDisplayName": "<string>",
          "appId": "<string>",
          "appResourceDisplayName": "<string>",
          "appResourceTypeDisplayName": "<string>",
          "coverage": 123,
          "entitlementDisplayName": "<string>",
          "entitlementId": "<string>",
          "grantedCount": 123
        }
      ],
      "userCount": 123
    }
  ],
  "cohortSize": 123,
  "entitlements": [
    {
      "appDisplayName": "<string>",
      "appId": "<string>",
      "appResourceDisplayName": "<string>",
      "appResourceTypeDisplayName": "<string>",
      "coverage": 123,
      "entitlementDisplayName": "<string>",
      "entitlementId": "<string>",
      "grantedCount": 123
    }
  ],
  "errorMessage": "<string>",
  "facetUserCount": 123,
  "facets": [
    {
      "attribute": "<string>",
      "displayName": "<string>",
      "values": [
        {
          "displayName": "<string>",
          "userCount": 123,
          "value": "<string>"
        }
      ]
    }
  ],
  "id": "<string>",
  "status": "RUN_STATUS_UNSPECIFIED"
}

Documentation Index

Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

id
string
required

The id field.

Response

200 - application/json

Successful response

The GetCustomAnalysisResultResponse message.

appsAnalyzed
integer<int32>

The appsAnalyzed field.

clusters
Entitlement Cluster · object[] | null

Cluster results.

cohortSize
integer<int32>

The cohortSize field.

entitlements
Cohort Entitlement · object[] | null

Entitlement coverage results.

errorMessage
string

The errorMessage field.

facetUserCount
integer<int32>

The facetUserCount field.

facets
Attribute Facet · object[] | null

Facet results.

id
string

The id field.

status
enum<string>

The status field.

Available options:
RUN_STATUS_UNSPECIFIED,
RUN_STATUS_RUNNING,
RUN_STATUS_COMPLETED,
RUN_STATUS_FAILED